"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var ConfigService_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfigService = void 0;
/* eslint-disable no-underscore-dangle */
const common_1 = require("@nestjs/common");
const events_1 = __importDefault(require("events"));
const fs_1 = require("fs");
const js_yaml_1 = __importDefault(require("js-yaml"));
const logger_1 = require("../../../../logger");
const options_1 = require("../../../options");
const config_event_enum_1 = require("../enums/config-event.enum");
let ConfigService = ConfigService_1 = class ConfigService extends events_1.default {
    constructor() {
        super();
        this.logger = logger_1.baseLogger.child({ context: ConfigService_1.name });
        this._config = {};
        this.reload();
    }
    get config() {
        return { ...this._config };
    }
    reload() {
        this.load();
        this.logger.warn('config reloaded');
        this.emit(config_event_enum_1.ConfigEvent.RELOAD);
    }
    load() {
        const config = {};
        const configPath = options_1.options.config?.toLowerCase?.();
        if (configPath?.endsWith?.('yaml')) {
            const payload = (0, fs_1.readFileSync)(configPath, 'utf-8');
            Object.assign(config, js_yaml_1.default.load(payload));
        }
        if (configPath?.endsWith?.('json')) {
            const payload = (0, fs_1.readFileSync)(configPath, 'utf-8');
            Object.assign(config, JSON.parse(payload));
        }
        this._config = config || {};
        return this.config;
    }
};
ConfigService = ConfigService_1 = __decorate([
    (0, common_1.Injectable)()
], ConfigService);
exports.ConfigService = ConfigService;
//# sourceMappingURL=config.service.js.map