"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DatabaseModule = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const winston_1 = require("typeorm-logger-adaptor/logger/winston");
const logger_1 = require("../../../logger");
const database_entities_constant_1 = require("./constants/database-entities.constant");
const database_constant_1 = require("./constants/database.constant");
let DatabaseModule = class DatabaseModule {
};
DatabaseModule = __decorate([
    (0, common_1.Module)({
        imports: [
            typeorm_1.TypeOrmModule.forRoot({
                type: 'sqlite',
                database: database_constant_1.DB_DATABASE,
                synchronize: true,
                logger: new winston_1.WinstonAdaptor(logger_1.logger, process.env.NODE_ENV === 'production'
                    ? ['schema', 'error', 'warn']
                    : [] || 'all'),
                entities: database_entities_constant_1.DB_ENTITIES,
            }),
        ],
    })
], DatabaseModule);
exports.DatabaseModule = DatabaseModule;
//# sourceMappingURL=database.module.js.map