"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TwitterPublicApiService = void 0;
/* eslint-disable class-methods-use-this */
const common_1 = require("@nestjs/common");
const axios_1 = __importDefault(require("axios"));
const twitter_limiter_1 = require("../twitter.limiter");
let TwitterPublicApiService = class TwitterPublicApiService {
    async getUserInfoById(id) {
        const limiter = twitter_limiter_1.twitterFollowButtonInfoLimiter;
        const url = 'https://cdn.syndication.twimg.com/widgets/followbutton/info.json';
        const { data } = await limiter.schedule(() => axios_1.default.get(url, { params: { user_ids: id } }));
        return data[0];
    }
    async getUserInfoByUsername(username) {
        const limiter = twitter_limiter_1.twitterFollowButtonInfoLimiter;
        const url = 'https://cdn.syndication.twimg.com/widgets/followbutton/info.json';
        const { data } = await limiter.schedule(() => axios_1.default.get(url, { params: { screen_names: username } }));
        return data[0];
    }
};
TwitterPublicApiService = __decorate([
    (0, common_1.Injectable)()
], TwitterPublicApiService);
exports.TwitterPublicApiService = TwitterPublicApiService;
//# sourceMappingURL=twitter-public-api.service.js.map