"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var TwitterUserControllerService_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.TwitterUserControllerService = void 0;
const common_1 = require("@nestjs/common");
const logger_1 = require("../../../../logger");
const twitter_public_api_service_1 = require("../apis/twitter-public-api.service");
const twitter_user_service_1 = require("../data/twitter-user.service");
let TwitterUserControllerService = TwitterUserControllerService_1 = class TwitterUserControllerService {
    constructor(twitterUserService, twitterPublicApiService) {
        this.twitterUserService = twitterUserService;
        this.twitterPublicApiService = twitterPublicApiService;
        this.logger = logger_1.baseLogger.child({ context: TwitterUserControllerService_1.name });
    }
    async fetchOneById(id) {
        const data = await this.twitterPublicApiService.getUserInfoById(id);
        if (!data) {
            return null;
        }
        const user = await this.saveUser(data);
        return user;
    }
    async fetchOneByUsername(username) {
        const data = await this.twitterPublicApiService.getUserInfoByUsername(username);
        if (!data) {
            return null;
        }
        const user = await this.saveUser(data);
        return user;
    }
    async fetchOne(idOrUsername) {
        const isId = idOrUsername.startsWith(':');
        const user = isId
            ? await this.fetchOneById(idOrUsername.slice(1))
            : await this.fetchOneByUsername(idOrUsername);
        return user;
    }
    async fetchAll(idOrUsernameArr) {
        const responses = await Promise.allSettled(idOrUsernameArr.map((idOrUsername) => this.fetchOne(idOrUsername)));
        const users = responses
            .filter((v) => v.status === 'fulfilled' && v.value)
            .map((v) => v.value);
        debugger;
        return users;
    }
    async saveUser(data) {
        const user = await this.twitterUserService.save({
            id: data.id,
            isActive: true,
            createdAt: 0,
            username: data.screen_name,
            name: data.name,
        });
        return user;
    }
};
TwitterUserControllerService = TwitterUserControllerService_1 = __decorate([
    (0, common_1.Injectable)(),
    __param(0, (0, common_1.Inject)(twitter_user_service_1.TwitterUserService)),
    __param(1, (0, common_1.Inject)(twitter_public_api_service_1.TwitterPublicApiService))
], TwitterUserControllerService);
exports.TwitterUserControllerService = TwitterUserControllerService;
//# sourceMappingURL=twitter-user-controller.service.js.map