"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TwitterSpace = void 0;
const typeorm_1 = require("typeorm");
const database_constant_1 = require("../../database/constants/database.constant");
const base_external_entity_1 = require("../../database/models/base-external.entity");
const twitter_space_enum_1 = require("../enums/twitter-space.enum");
let TwitterSpace = class TwitterSpace extends base_external_entity_1.BaseExternalEntity {
};
__decorate([
    (0, typeorm_1.Column)({ name: 'updated_at', type: 'numeric', default: () => database_constant_1.DB_CURRENT_TIMESTAMP })
], TwitterSpace.prototype, "updatedAt", void 0);
__decorate([
    (0, typeorm_1.Column)({ name: 'creator_id', type: 'text' })
], TwitterSpace.prototype, "creatorId", void 0);
__decorate([
    (0, typeorm_1.Column)({ name: 'state', type: 'text', default: twitter_space_enum_1.SpaceState.LIVE })
], TwitterSpace.prototype, "state", void 0);
__decorate([
    (0, typeorm_1.Column)({ name: 'is_ticketed', type: 'boolean', default: false })
], TwitterSpace.prototype, "isTicketed", void 0);
__decorate([
    (0, typeorm_1.Column)({ name: 'scheduled_start', type: 'numeric', nullable: true })
], TwitterSpace.prototype, "scheduledStart", void 0);
__decorate([
    (0, typeorm_1.Column)({ name: 'started_at', type: 'numeric', nullable: true })
], TwitterSpace.prototype, "startedAt", void 0);
__decorate([
    (0, typeorm_1.Column)({ name: 'ended_at', type: 'numeric', nullable: true })
], TwitterSpace.prototype, "endedAt", void 0);
__decorate([
    (0, typeorm_1.Column)({ name: 'lang', type: 'text', nullable: true })
], TwitterSpace.prototype, "lang", void 0);
__decorate([
    (0, typeorm_1.Column)({ name: 'title', type: 'text', nullable: true })
], TwitterSpace.prototype, "title", void 0);
__decorate([
    (0, typeorm_1.Column)({
        name: 'host_ids',
        type: 'text',
        nullable: true,
        transformer: {
            to: (value) => (Array.isArray(value) ? JSON.stringify(value) : null),
            from: (value) => JSON.parse(value),
        },
    })
], TwitterSpace.prototype, "hostIds", void 0);
__decorate([
    (0, typeorm_1.Column)({
        name: 'speaker_ids',
        type: 'text',
        nullable: true,
        transformer: {
            to: (value) => (Array.isArray(value) ? JSON.stringify(value) : null),
            from: (value) => JSON.parse(value),
        },
    })
], TwitterSpace.prototype, "speakerIds", void 0);
__decorate([
    (0, typeorm_1.Column)({ name: 'playlist_url', type: 'text', nullable: true })
], TwitterSpace.prototype, "playlistUrl", void 0);
__decorate([
    (0, typeorm_1.Column)({ name: 'playlist_active', type: 'boolean', nullable: true })
], TwitterSpace.prototype, "playlistActive", void 0);
TwitterSpace = __decorate([
    (0, typeorm_1.Entity)('twitter_space')
], TwitterSpace);
exports.TwitterSpace = TwitterSpace;
//# sourceMappingURL=twitter-space.entity.js.map