"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TwitterPublicApiService = void 0;
/* eslint-disable class-methods-use-this */
const common_1 = require("@nestjs/common");
const axios_1 = __importDefault(require("axios"));
const twitter_constant_1 = require("../../constants/twitter.constant");
const twitter_token_service_1 = require("../twitter-token.service");
let TwitterPublicApiService = class TwitterPublicApiService {
    constructor(twitterTokenService) {
        this.twitterTokenService = twitterTokenService;
    }
    async getGuestToken() {
        const url = 'https://api.twitter.com/1.1/guest/activate.json';
        const { data } = await axios_1.default.request({
            method: 'POST',
            url,
            headers: { authorization: twitter_constant_1.TWITTER_PUBLIC_AUTHORIZATION },
        });
        return data.guest_token;
    }
    async getHeaders() {
        const guestToken = await this.twitterTokenService.getGuestToken();
        const headers = {
            authorization: twitter_constant_1.TWITTER_PUBLIC_AUTHORIZATION,
            'x-guest-token': guestToken,
        };
        return headers;
    }
};
TwitterPublicApiService = __decorate([
    (0, common_1.Injectable)(),
    __param(0, (0, common_1.Inject)((0, common_1.forwardRef)(() => twitter_token_service_1.TwitterTokenService)))
], TwitterPublicApiService);
exports.TwitterPublicApiService = TwitterPublicApiService;
//# sourceMappingURL=twitter-public-api.service.js.map