"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TwitterPublicSpaceApiService = void 0;
/* eslint-disable class-methods-use-this */
const common_1 = require("@nestjs/common");
const axios_1 = __importDefault(require("axios"));
const twitter_public_api_service_1 = require("./twitter-public-api.service");
let TwitterPublicSpaceApiService = class TwitterPublicSpaceApiService {
    constructor(twitterPublicApiService) {
        this.twitterPublicApiService = twitterPublicApiService;
    }
    async getAudioSpaceById(id) {
        const url = 'https://twitter.com/i/api/graphql/Uv5R_-Chxbn1FEkyUkSW2w/AudioSpaceById';
        const headers = await this.twitterPublicApiService.getHeaders();
        const { data } = await axios_1.default.get(url, {
            headers,
            params: {
                variables: {
                    id,
                    isMetatagsQuery: false,
                    withSuperFollowsUserFields: false,
                    withBirdwatchPivots: false,
                    withDownvotePerspective: false,
                    withReactionsMetadata: false,
                    withReactionsPerspective: false,
                    withSuperFollowsTweetFields: false,
                    withReplays: false,
                    withScheduledSpaces: false,
                },
            },
        });
        return data?.data?.audioSpace;
    }
    async getLiveVideoStreamStatus(mediaKey) {
        const url = `https://twitter.com/i/api/1.1/live_video_stream/status/${mediaKey}`;
        const headers = await this.twitterPublicApiService.getHeaders();
        const { data } = await axios_1.default.get(url, { headers });
        return data;
    }
};
TwitterPublicSpaceApiService = __decorate([
    (0, common_1.Injectable)(),
    __param(0, (0, common_1.Inject)(twitter_public_api_service_1.TwitterPublicApiService))
], TwitterPublicSpaceApiService);
exports.TwitterPublicSpaceApiService = TwitterPublicSpaceApiService;
//# sourceMappingURL=twitter-public-space-api.service.js.map