"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var TwitterTokenService_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.TwitterTokenService = void 0;
const common_1 = require("@nestjs/common");
const logger_1 = require("../../../../logger");
const twitter_constant_1 = require("../constants/twitter.constant");
const twitter_limiter_1 = require("../twitter.limiter");
const twitter_public_api_service_1 = require("./apis/twitter-public-api.service");
let TwitterTokenService = TwitterTokenService_1 = class TwitterTokenService {
    constructor(twitterPublicApiService) {
        this.twitterPublicApiService = twitterPublicApiService;
        this.logger = logger_1.baseLogger.child({ context: TwitterTokenService_1.name });
    }
    async getGuestToken(forceRefresh = false) {
        const limiter = twitter_limiter_1.twitterGuestTokenLimiter;
        const token = await limiter.schedule(async () => {
            const tokenDeltaTime = Date.now() - (this.guestTokenCreatedAt || 0);
            if (forceRefresh || !(this.guestToken && tokenDeltaTime < twitter_constant_1.TWITTER_GUEST_TOKEN_DURATION)) {
                this.logger.debug('--> getGuestToken');
                this.guestToken = await this.twitterPublicApiService.getGuestToken();
                this.guestTokenCreatedAt = Date.now();
                this.logger.debug('<-- getGuestToken', { guestToken: this.guestToken });
            }
            return Promise.resolve(this.guestToken);
        });
        return token;
    }
    // eslint-disable-next-line class-methods-use-this
    getAuthToken() {
        const token = process.env.TWITTER_AUTH_TOKEN;
        return token;
    }
};
TwitterTokenService = TwitterTokenService_1 = __decorate([
    (0, common_1.Injectable)(),
    __param(0, (0, common_1.Inject)((0, common_1.forwardRef)(() => twitter_public_api_service_1.TwitterPublicApiService)))
], TwitterTokenService);
exports.TwitterTokenService = TwitterTokenService;
//# sourceMappingURL=twitter-token.service.js.map