"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TwitterSpaceUtils = void 0;
class TwitterSpaceUtils {
    /**
     * Returns the URL of a Twitter Space, provided its identifier
     * @param {string} id - Space identifier
     * @returns {string} Space URL
     */
    static getUrl(id) {
        return `https://twitter.com/i/spaces/${id}`;
    }
    static parseId(s) {
        const id = s.trim()
            .replace('https://twitter.com/i/spaces/', '')
            .replace('/peek', '');
        return id;
    }
}
exports.TwitterSpaceUtils = TwitterSpaceUtils;
//# sourceMappingURL=twitter-space.utils.js.map