"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseEntityService = void 0;
class BaseEntityService {
    async getOneById(id) {
        const result = await this.repository
            .createQueryBuilder()
            .andWhere('id = :id', { id })
            .getOne();
        return result;
    }
    async getManyByIds(ids) {
        const result = await this.repository
            .createQueryBuilder()
            .andWhere('id IN (:...ids)', { ids })
            .getMany();
        return result;
    }
    async getAll() {
        const result = await this.repository
            .createQueryBuilder()
            .getMany();
        return result;
    }
    async save(data) {
        const result = await this.repository.save(data);
        return result;
    }
    async updateIsActive(id, isActive) {
        await this.repository.update({ id }, { isActive });
    }
}
exports.BaseEntityService = BaseEntityService;
//# sourceMappingURL=base-entity.service.js.map